## GtkSocket GtkSocket |

## Functions

GtkWidget * | gtk_socket_new ()
void | gtk_socket_steal ()
void | gtk_socket_add_id ()
GdkNativeWindow | gtk_socket_get_id ()
GdkWindow * | gtk_socket_get_plug_window ()

## Signals

void | plug-added | Run Last
gboolean | plug-removed | Run Last

## Types and Values

struct | GtkSocket

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkSocket

## Implemented Interfaces

GtkSocket implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_socket_new ()

    GtkWidget *
    gtk_socket_new (void);

### gtk_socket_steal ()

    void
    gtk_socket_steal (GtkSocket *socket_,
                      GdkNativeWindow wid);

`gtk_socket_steal` is deprecated and should not be used in newly-written code.

### gtk_socket_add_id ()

    void
    gtk_socket_add_id (GtkSocket *socket_,
                       GdkNativeWindow window_id);

### gtk_socket_get_id ()

    GdkNativeWindow
    gtk_socket_get_id (GtkSocket *socket_);

### gtk_socket_get_plug_window ()

    GdkWindow *
    gtk_socket_get_plug_window (GtkSocket *socket_);

Since: 2.14

## Types and Values

### struct GtkSocket

    struct GtkSocket;

## Signal Details

### The `“plug-added”` signal

    void
    user_function (GtkSocket *socket_,
                   gpointer   user_data)

Flags: Run Last

### The `“plug-removed”` signal

    gboolean
    user_function (GtkSocket *socket_,
                   gpointer   user_data)

Flags: Run Last